aboutsummaryrefslogtreecommitdiff
path: root/src/make.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2008-09-18 15:06:43 -0700
committerRuss Cox <rsc@golang.org>2008-09-18 15:06:43 -0700
commit76036192b92b15b9f5cade8941909a4207d17507 (patch)
tree630f7c28e6159848a87164cf9be53cca1c985b5b /src/make.bash
parent899c5281da89e584e6793cf4ee39cb5c697929c1 (diff)
downloadgo-76036192b92b15b9f5cade8941909a4207d17507.tar.xz
make Makefiles safe for parallel make
use -j4 (4-way parallel) in make.bash. halves time for make.bash on r45 also add libregexp, acid to default build R=r DELTA=90 (39 added, 37 deleted, 14 changed) OCL=15485 CL=15487
Diffstat (limited to 'src/make.bash')
-rwxr-xr-xsrc/make.bash5
1 files changed, 4 insertions, 1 deletions
diff --git a/src/make.bash b/src/make.bash
index 5eeb370a1b..b36d515a8b 100755
--- a/src/make.bash
+++ b/src/make.bash
@@ -3,9 +3,12 @@
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
+set -e
+export MAKEFLAGS=-j4
+
bash clean.bash
-for i in lib9 libbio libmach_amd64
+for i in lib9 libbio libmach_amd64 libregexp
do
cd $i
make install